Module java.corba
Package org.omg.DynamicAny

## Interface DynFixedOperations

All Superinterfaces:
  DynAnyOperations

All Known Subinterfaces:
  DynFixed

All Known Implementing Classes:
  _DynFixedStub

    public interface DynFixedOperations
    extends DynAnyOperations

DynFixed objects support the manipulation of IDL fixed values. Because IDL does not have a generic type that can represent fixed types with arbitrary number of digits and arbitrary scale, the operations use the IDL string type.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `get_value()` Returns the value of a DynFixed.
`boolean` `set_value(String val)` Sets the value of the DynFixed.

### Methods inherited from interface org.omg.DynamicAny.DynAnyOperations

`assign, component_count, copy, current_component, destroy, equal, from_any, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

### Method Detail

#### get_value

    String get_value()

Returns the value of a DynFixed.

#### set_value

    boolean set_value(String val)
               throws TypeMismatch,
                      InvalidValue

Sets the value of the DynFixed. The val string must contain a fixed string constant in the same format as used for IDL fixed-point literals. However, the trailing d or D is optional. The return value is true if val can be represented as the DynFixed without loss of precision. If val has more fractional digits than can be represented in the DynFixed, fractional digits are truncated and the return value is false.

Throws:
  `TypeMismatch` - If val does not contain a valid fixed-point literal or contains extraneous characters other than leading or trailing white space
  `InvalidValue` - If val contains a value whose scale exceeds that of the DynFixed or is not initialized